Skip to main content
GET
List social accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

projectId
string

Only return items in this project. Use the id of a project from List projects. Omit to include every project.

Response

Social accounts.

id
string
required

Social account identifier.

projectId
string
required

Project this social account belongs to. Media used in its posts must be in the same project.

externalAccountId
string
required

Platform-specific account, page, profile, or channel identifier.

platform
enum<string>
required

Social platform for the connected account.

Available options:
PINTEREST,
LINKEDIN,
LINKEDIN_PAGES,
INSTAGRAM,
FACEBOOK,
THREADS,
TIKTOK,
X,
YOUTUBE,
BLUESKY,
WOOPTEST
username
string
required

Display name or username for the connected account.

imageUrl
string<uri>
required

Profile image URL for the connected account.

status
enum<string>
required

Connection status of the account.

Available options:
CONNECTED,
DISCONNECTED